using System;

internal sealed class Delegate559 : MulticastDelegate
{
	public extern void Invoke(object object_0, EventHandler eventHandler_0);

	public static void smethod_0(object object_0, EventHandler eventHandler_0, Delegate559 delegate559_1)
	{
		delegate559_1(object_0, eventHandler_0);
	}

	public extern Delegate559(object object_0, IntPtr intptr_0);

	static Delegate559()
	{
		Class10.smethod_13(typeof(Delegate559).TypeHandle);
	}

	internal static Delegate559 delegate559_0;
}
